Gist · 1 / URL: http://repos.mittelwind.de/_admin/gists/1
Public Gist
Unknown column 'news_newscontent.content_image' in 'field list'
Expires: Never
michael - created 4 years and 6 months ago
added file: gistfile1.txt
gistfile1.txt
Environment:


Request Method: GET
Request URL: http://localhost:8082/admin/news/newscontent/

Django Version: 1.11.4
Python Version: 3.5.2
Installed Applications:
['apps.base',
 'grappelli',
 'django.forms',
 'django.contrib.admin',
 'django.contrib.auth',
 'django.contrib.contenttypes',
 'django.contrib.sessions',
 'django.contrib.messages',
 'django.contrib.staticfiles',
 'django.contrib.sites',
 'rest_framework',
 'django_extensions',
 'adminsortable2',
 'parler',
 'tinymce',
 'easy_thumbnails',
 'image_cropping',
 'reversion',
 'crequest',
 'constance',
 'constance.backends.database',
 'apps.measure',
 'apps.tags',
 'apps.news',
 'apps.slider']
Installed Middleware:
['django.middleware.security.SecurityMiddleware',
 'django.contrib.sessions.middleware.SessionMiddleware',
 'django.middleware.common.CommonMiddleware',
 'django.middleware.csrf.CsrfViewMiddleware',
 'django.contrib.auth.middleware.AuthenticationMiddleware',
 'django.contrib.messages.middleware.MessageMiddleware',
 'django.middleware.clickjacking.XFrameOptionsMiddleware',
 'django.middleware.locale.LocaleMiddleware',
 'crequest.middleware.CrequestMiddleware']



Traceback:

File "/home/ubuntu/.virtualenv/db-gruen/lib/python3.5/site-packages/django/db/backends/utils.py" in execute
  65.                 return self.cursor.execute(sql, params)

File "/home/ubuntu/.virtualenv/db-gruen/lib/python3.5/site-packages/django/db/backends/mysql/base.py" in execute
  101.             return self.cursor.execute(query, args)

File "/home/ubuntu/.virtualenv/db-gruen/lib/python3.5/site-packages/MySQLdb/cursors.py" in execute
  250.             self.errorhandler(self, exc, value)

File "/home/ubuntu/.virtualenv/db-gruen/lib/python3.5/site-packages/MySQLdb/connections.py" in defaulterrorhandler
  50.         raise errorvalue

File "/home/ubuntu/.virtualenv/db-gruen/lib/python3.5/site-packages/MySQLdb/cursors.py" in execute
  247.             res = self._query(query)

File "/home/ubuntu/.virtualenv/db-gruen/lib/python3.5/site-packages/MySQLdb/cursors.py" in _query
  411.         rowcount = self._do_query(q)

File "/home/ubuntu/.virtualenv/db-gruen/lib/python3.5/site-packages/MySQLdb/cursors.py" in _do_query
  374.         db.query(q)

File "/home/ubuntu/.virtualenv/db-gruen/lib/python3.5/site-packages/MySQLdb/connections.py" in query
  292.             _mysql.connection.query(self, query)

The above exception ((1054, "Unknown column 'news_newscontent.content_image' in 'field list'")) was the direct cause of the following exception:

File "/home/ubuntu/.virtualenv/db-gruen/lib/python3.5/site-packages/django/core/handlers/exception.py" in inner
  41.             response = get_response(request)

File "/home/ubuntu/.virtualenv/db-gruen/lib/python3.5/site-packages/django/core/handlers/base.py" in _get_response
  187.                 response = self.process_exception_by_middleware(e, request)

File "/home/ubuntu/.virtualenv/db-gruen/lib/python3.5/site-packages/django/core/handlers/base.py" in _get_response
  185.                 response = wrapped_callback(request, *callback_args, **callback_kwargs)

File "/home/ubuntu/.virtualenv/db-gruen/lib/python3.5/site-packages/django/contrib/admin/options.py" in wrapper
  551.                 return self.admin_site.admin_view(view)(*args, **kwargs)

File "/home/ubuntu/.virtualenv/db-gruen/lib/python3.5/site-packages/django/utils/decorators.py" in _wrapped_view
  149.                     response = view_func(request, *args, **kwargs)

File "/home/ubuntu/.virtualenv/db-gruen/lib/python3.5/site-packages/django/views/decorators/cache.py" in _wrapped_view_func
  57.         response = view_func(request, *args, **kwargs)

File "/home/ubuntu/.virtualenv/db-gruen/lib/python3.5/site-packages/django/contrib/admin/sites.py" in inner
  224.             return view(request, *args, **kwargs)

File "/home/ubuntu/.virtualenv/db-gruen/lib/python3.5/site-packages/reversion/admin.py" in changelist_view
  247.             return super(VersionAdmin, self).changelist_view(request, context)

File "/home/ubuntu/.virtualenv/db-gruen/lib/python3.5/site-packages/django/utils/decorators.py" in _wrapper
  67.             return bound_func(*args, **kwargs)

File "/home/ubuntu/.virtualenv/db-gruen/lib/python3.5/site-packages/django/utils/decorators.py" in _wrapped_view
  149.                     response = view_func(request, *args, **kwargs)

File "/home/ubuntu/.virtualenv/db-gruen/lib/python3.5/site-packages/django/utils/decorators.py" in bound_func
  63.                 return func.__get__(self, type(self))(*args2, **kwargs2)

File "/home/ubuntu/.virtualenv/db-gruen/lib/python3.5/site-packages/django/contrib/admin/options.py" in changelist_view
  1662.             selection_note=_('0 of %(cnt)s selected') % {'cnt': len(cl.result_list)},

File "/home/ubuntu/.virtualenv/db-gruen/lib/python3.5/site-packages/django/db/models/query.py" in __len__
  232.         self._fetch_all()

File "/home/ubuntu/.virtualenv/db-gruen/lib/python3.5/site-packages/parler/managers.py" in _fetch_all
  47.         super(TranslatableQuerySet, self)._fetch_all()

File "/home/ubuntu/.virtualenv/db-gruen/lib/python3.5/site-packages/django/db/models/query.py" in _fetch_all
  1118.             self._result_cache = list(self._iterable_class(self))

File "/home/ubuntu/.virtualenv/db-gruen/lib/python3.5/site-packages/django/db/models/query.py" in __iter__
  53.         results = compiler.execute_sql(chunked_fetch=self.chunked_fetch)

File "/home/ubuntu/.virtualenv/db-gruen/lib/python3.5/site-packages/django/db/models/sql/compiler.py" in execute_sql
  894.             raise original_exception

File "/home/ubuntu/.virtualenv/db-gruen/lib/python3.5/site-packages/django/db/models/sql/compiler.py" in execute_sql
  884.             cursor.execute(sql, params)

File "/home/ubuntu/.virtualenv/db-gruen/lib/python3.5/site-packages/django/db/backends/utils.py" in execute
  80.             return super(CursorDebugWrapper, self).execute(sql, params)

File "/home/ubuntu/.virtualenv/db-gruen/lib/python3.5/site-packages/django/db/backends/utils.py" in execute
  65.                 return self.cursor.execute(sql, params)

File "/home/ubuntu/.virtualenv/db-gruen/lib/python3.5/site-packages/django/db/utils.py" in __exit__
  94.                 six.reraise(dj_exc_type, dj_exc_value, traceback)

File "/home/ubuntu/.virtualenv/db-gruen/lib/python3.5/site-packages/django/utils/six.py" in reraise
  685.             raise value.with_traceback(tb)

File "/home/ubuntu/.virtualenv/db-gruen/lib/python3.5/site-packages/django/db/backends/utils.py" in execute
  65.                 return self.cursor.execute(sql, params)

File "/home/ubuntu/.virtualenv/db-gruen/lib/python3.5/site-packages/django/db/backends/mysql/base.py" in execute
  101.             return self.cursor.execute(query, args)

File "/home/ubuntu/.virtualenv/db-gruen/lib/python3.5/site-packages/MySQLdb/cursors.py" in execute
  250.             self.errorhandler(self, exc, value)

File "/home/ubuntu/.virtualenv/db-gruen/lib/python3.5/site-packages/MySQLdb/connections.py" in defaulterrorhandler
  50.         raise errorvalue

File "/home/ubuntu/.virtualenv/db-gruen/lib/python3.5/site-packages/MySQLdb/cursors.py" in execute
  247.             res = self._query(query)

File "/home/ubuntu/.virtualenv/db-gruen/lib/python3.5/site-packages/MySQLdb/cursors.py" in _query
  411.         rowcount = self._do_query(q)

File "/home/ubuntu/.virtualenv/db-gruen/lib/python3.5/site-packages/MySQLdb/cursors.py" in _do_query
  374.         db.query(q)

File "/home/ubuntu/.virtualenv/db-gruen/lib/python3.5/site-packages/MySQLdb/connections.py" in query
  292.             _mysql.connection.query(self, query)

Exception Type: OperationalError at /admin/news/newscontent/
Exception Value: (1054, "Unknown column 'news_newscontent.content_image' in 'field list'")